# Align image stack

align_image_stack is a command-line tool available in the development version of hugin to align overlapping images to facilitate HDR creation, Exposure blending and extended Depth of Field images.

This article is a stub.

## Usage

    align_image_stack [options] input files

### Options: modes of operation

    -p file

Output .pto file (useful for debugging, or further refinement)"

    -a prefix

Align images, output as prefix_xxxx.tif

    -o output

Merge images to HDR, generate output.hdr

### Options: modifiers

    -v

Verbose, print progress messages

    -e

Assume input images are full frame fish eye (default: rectilinear)

    -t num

Remove all control points with an error higher than num pixels (default: 3)

    -f HFOV

Approximate horizontal field of view of input images, use if EXIF info not complete

    -m

Optimize field of view for all images, except for first. Useful for aligning focus stacks with slightly different magnification

    -c num

Number of control points to create between adjacent images (default: 200)

    -h

Display help.

Retrieved from "http://wiki.panotools.org/Align_image_stack"